Subject: Re: [PATCH] Fix git-p4 on Windows to not use the Posix sysconf

From: Simon Hausmann <[email-masked]>
Date: Fri, 13 Jul 2007 15:33:54 +0200

On Friday 13 July 2007 15:03:51 Alex Riesen wrote:
> On 7/13/07, Marius Storm-Olsen <[email-masked]> wrote:
> >      argmax = min(4000, os.sysconf('SC_ARG_MAX'))
>
> I wonder why the code in question does not use "-x"?
> I use it git-p4-import and haven't seen the limit yet.
> I.e.:
>
>    $ ls |p4 -x - print -q
>    $ p4 help usage
>    ...
>    The -x flag instructs p4 to read arguments, one per line, from the
>    named file.  If the file is named '-', then standard input is read.
>    ...

Good idea!

I still think the patch makes sense as stop-gap for 1.5.3 though, because 
without it git-p4 doesn't work at all on Windows.

Simon